PHP-Cubrid 연동 오류 (Error: CCI, -16, Cannot connect to CUBRID CAS)

by cubrid1234 posted Aug 10, 2020

* 질문 등록 시 다음의 내용을 꼭 기입하여 주세요.
OS
  Linux 64 (CentOS)
CUBRID Ver.
  2008 R4.4 (8.4.4.19002)
CUBRID TOOL Ver.
[도움말]-[버전정보] 확인
응용 환경(API)
  PHP 5.5.38

* CUBRID 응용 오류, SQL 오류 또는 SQL 튜닝 관련된 문의는 반드시 다음의 내용을 추가해 주세요. 비밀글이나 비밀 댓글도 가능합니다.
* 저희가 상황을 이해하고, 재현이 가능해야 알 수 있는 문제들이 많습니다. 가능한 정보/정황들을 부탁합니다.
에러 내용 및 재현 방법 재현 가능한 Source와 SQL
관련 테이블(인덱스, 키정보 포함) 정보 CUBRID 홈 디렉토리 아래 log 디렉토리 압축

-------------- 아래에 질문 사항을 기입해 주세요. ------------------------------------------------------------------------

PHP-Cubrid Driver를 소스로 설치하여 php.info에 아래처럼 정상적으로 모듈이 확인됩니다만


CUBRID supportenabled
Driver Version 8.4.4.0002

CCI Version

8.4.4


정작 PHP에서 아래처럼 Cubrid 접속을 시도하면

$conn = cubrid_connect("localhost", 33000, "DB명", "dba");


Error: CCI, -16, Cannot connect to CUBRID CAS

라는 오류 메시지가 뜹니다.


물론 console에서 cubrid service status를 실행해보면 아래처럼 정상적으로 보이며

telnet localhost 33000로 해봐도 문제없이 접속됩니다 (방화벽 없음).


cubrid service status
@ cubrid master status
++ cubrid master is running.
@ cubrid server status
 Server DB명 (rel 8.4, pid 23379)
@ cubrid broker status
  NAME                   PID  PORT    AS   JQ                  TPS                  QPS   SELECT   INSERT   UPDATE   DELETE   OTHERS     LONG-T     LONG-Q         ERR-Q  UNIQUE-ERR-Q  #CONNECT
=================================================================================================================================================================================================
* query_editor         23599 30000     5    0                    0                    0        0        0        0        0        0     0/60.0     0/60.0             0             0         0
* broker1              23609 33000     5    0                    0                    0        0        0        0        0        0     0/60.0     0/60.0             0             0         0
@ cubrid manager server status
++ cubrid manager server is running.


호환문제로 어쩔 수 없이 8.4.4를 사용중인데

혹시 이 Cubrid 버전이 PHP 버전 5.5를 지원하지 않나요?

매뉴얼에 5.3, 5.4만 나와있어서...


도움을 부탁드립니다.


Articles

2 3 4 5 6 7 8 9 10 11